2020-08-13 22:51 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000089OTB-libGeneralpublic2011-08-17 15:48
Reporterchristop 
Assigned ToC Valladeau 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Summary0000089: Ascii comparison for test is unreliable
DescriptionThe ascii comparison does not compare the end of the ascii file if the baseline is shorter than the test output. See for example the test: coTuPolygon (which should be named coTvPolygon)
TagsNo tags attached.
Attached Files

-Relationships
related to 0000099closedC Valladeau OTB-lib Vector data comparison for test 
related to 0000276closedC Valladeau Orfeo Toolbox (OTB) Trouble with the compare ascii when separations are tabulation 
child of 0000228closedmickael OTB-lib Problems related to the --compare-ascii tool in OTB tests protocol 
+Relationships

-Notes

~0000175

christop (administrator)

Still unreliable:
http://dash.orfeo-toolbox.org/testDetails.php?test=818503&build=12863

lines are incorrectly identified as different when they are not.

~0000548

mickael (administrator)

The test coTvPolygon seems to be ok now with all platform: http://dash.orfeo-toolbox.org/testSummary.php?project=3&name=coTvPolygon&date=2011-03-22

However feTvImageToFastSIFTKeyPointSetFilterSceneOutputDescriptorAscii (http://dash.orfeo-toolbox.org/testSummary.php?project=3&name=feTvImageToFastSIFTKeyPointSetFilterSceneOutputDescriptorAscii&date=2011-03-22) seems failed on windows platform with release static config.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-07 15:33 christop New Issue
2009-08-12 05:51 christop Relationship added related to 0000099
2009-09-26 10:16 christop Note Added: 0000175
2009-09-26 10:17 christop Priority high => urgent
2011-03-22 11:44 julienm Relationship added child of 0000228
2011-03-22 18:34 mickael Note Added: 0000548
2011-04-22 17:54 christop Relationship added related to 0000276
2011-08-17 15:48 C Valladeau Status new => closed
2011-08-17 15:48 C Valladeau Assigned To => C Valladeau
2011-08-17 15:48 C Valladeau Resolution open => fixed
+Issue History